
EclaireXL - Bug #25

F10   Hard Reset Ignore inserted cartridge (Core v7)

05/31/2017 04:58 PM - ndary

Status: New Start date: 05/31/2017

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

When there is a cartridge inserted to the cartridge slot and you power on the ExlairXL board the cartridge boots

but if you press F10 (hard reset) it acts like F9 (Soft reset), cannot access the cartridge menu

(may have to do that RD4/RD5 lines are not been resetted on an F10 PRESS?)

Nir

Related issues:

Related to Feature #2: PBI support Closed 04/04/2017

History

#1 - 05/31/2017 06:55 PM - foft

Will have a look after PBI support - or as part of it. I'm replacing the cartridge reading logic as part of that.

#2 - 05/31/2017 07:04 PM - foft

- Related to Feature #2: PBI support added

#3 - 05/31/2017 08:31 PM - foft

Not sure what you mean here. If I put in a cartridge and press F10 then the computer reboots and the cartridge runs. I checked with pole position,

frogger and bug hunt.

#4 - 05/31/2017 08:37 PM - ndary

do you have an XEG cart with more than 16?

try one of the carts that do Bank Switching

Nir

#5 - 05/31/2017 08:42 PM - foft

Bug hunt does bank switching

Ah, I see what you mean. The hard reset does not power off the system. So if the cart has state then it won't reset that. Not sure what I can do about

that one since I can't power off the cartridge.

#6 - 05/31/2017 08:43 PM - foft

I mean the 'hard reset' just clears memory then drops the reset line.

#7 - 05/31/2017 09:08 PM - ndary

it should also clear the D5XX to its imitate state so the bank switching cart will be set to its default state

#8 - 05/31/2017 09:28 PM - foft

I can't tell the init state, since its an external cartridge. The logic could set up the registers written to by D500 to any value. Its possible most default to

00, but it can't be known.

If you think writing 0 to D500 will increase compatibility happy to add.

#9 - 05/31/2017 10:02 PM - ndary

yes i think so..
there are different banking cart schemes, some use data to change bank and other use address to change their banks

i think that writing 00 to D500 and set the Address line D5XX to D500 will cover them all

Nir

#10 - 06/01/2017 06:40 AM - foft

OK, I'll add that in v9

#11 - 06/02/2017 09:42 PM - foft

Added to svn code

#12 - 06/02/2017 10:10 PM - foft

Arg, of course I turned off pbi/cart in turbo mode and on zpu accesses... Better change that too I guess otherwise I can't do this from the firmware!

#13 - 06/02/2017 10:49 PM - foft

Bumped to v10...

#14 - 06/11/2017 08:48 PM - foft

This is still on the list, but not yet in place...

#15 - 07/15/2017 09:44 PM - foft

- Status changed from New to In Progress

#16 - 07/15/2017 09:47 PM - foft

This is the last thing remaining for V15. In order to do it (simply) I decided to allow off PBI access from turbo mode and zpu. That seems to work now,

except its failing timing. I think I need to plumb the internal freezer in differently to meet timing, thinking about how to do that.

What am I expecting to see happen with this change to write to D500? I think its enabled in my test core (though need to connect LA to check) yet I

haven't spotted any difference yet!

#17 - 08/01/2018 10:01 PM - foft

- Status changed from In Progress to New
